Subject: bug#29621: Guix 0.14.0-1.ad4953b failed to build for x86_64 on Hydra

From: Mark H Weaver <[email-masked]>
Date: Sat, 09 Dec 2017 19:59:43 -0500

Leo Famulari <[email-masked]> writes:

> On Fri, Dec 08, 2017 at 10:44:34PM -0500, Leo Famulari wrote:
>> From the log at <https://hydra.gnu.org/build/2389799>:
>> 
>> [...]
>> FAIL: tests/guix-register.sh
>> PASS: tests/guix-gc.sh
>> PASS: tests/guix-daemon.sh
>> ============================================================================
>> Testsuite summary for GNU Guix 0.14.0-1.ad4953b
>> ============================================================================
>> # TOTAL: 747
>> # PASS:  714
>> # SKIP:  32
>> # XFAIL: 0
>> # FAIL:  1
>> # XPASS: 0
>> # ERROR: 0
>> [...]
>> 
>> I restarted the build.
>
> It failed a second time :/ Unfortunately I can't reproduce it.

I restarted it again.

Perhaps we should modify the 'check' phase of our Guix package to print
the contents of test-suite.log in case 'make check' fails.

       Mark